Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.gwtext.client.widgets.tree
Class TreeNodeUI

    java.lang.Object
      com.gwtext.client.core.JsObject
          com.gwtext.client.widgets.tree.TreeNodeUI

    public class TreeNodeUI

extends JsObject

This class provides the default UI implementation for TreeNodes. The TreeNode UI implementation is separate from the tree implementation, and allows customizing of the appearance of tree nodes.

This class provides access to the user interface components of an TreeNode, through `TreeNode.getUI()`.

Field Summary

Fields inherited from class com.gwtext.client.core.JsObject
`jsObj`

Constructor Summary
`TreeNodeUI(com.google.gwt.core.client.JavaScriptObject jsObj)`

Method Summary
`void` | `addClass(java.lang.String cls)` Adds one or more CSS classes to the node's UI element.
`com.google.gwt.user.client.Element` | `getEl()` This returns an element that represents the whole subtree starting with itselt as the current node.
`com.google.gwt.user.client.Element` | `getElNode()` Element for 'this' node.
`void` | `hide()` Hides this node.
`void` | `highlight()` Highlight this node.
`boolean` | `isChecked()` Returns the checked status of the node.
`void` | `removeClass(java.lang.String cls)` Removes one or more CSS classes from the node's UI element.
`void` | `show()` Shows this node.
`void` | `toggleCheck()` Sets the checked status of the tree node to the passed value, or, if no value was passed, toggles the checked status.
`void` | `toggleCheck(boolean value)` Sets the checked status of the tree node to the passed value, or, if no value was passed, toggles the checked status.

Methods inherited from class com.gwtext.client.core.JsObject
`getJsObj, getProperties, isCreated, setJsObj`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TreeNodeUI

    public TreeNodeUI(com.google.gwt.core.client.JavaScriptObject jsObj)

Method Detail

### addClass

    public void addClass(java.lang.String cls)

  Adds one or more CSS classes to the node's UI element. Duplicate classes are automatically filtered out.

  Parameters:
    `cls` - the CSS class

### removeClass

    public void removeClass(java.lang.String cls)

  Removes one or more CSS classes from the node's UI element.

  Parameters:
    `cls` - the CSS class to remove

### hide

    public void hide()

  Hides this node.

### show

    public void show()

  Shows this node.

### toggleCheck

    public void toggleCheck()

  Sets the checked status of the tree node to the passed value, or, if no value was passed, toggles the checked status. If the node was rendered with no checkbox, this has no effect.

### toggleCheck

    public void toggleCheck(boolean value)

  Sets the checked status of the tree node to the passed value, or, if no value was passed, toggles the checked status. If the node was rendered with no checkbox, this has no effect.

  Parameters:
    `value` - the new checkbox status

### highlight

    public void highlight()

  Highlight this node.

### getEl

    public com.google.gwt.user.client.Element getEl()

  This returns an element that represents the whole subtree starting with itselt as the current node. The returned element has wtoe children. The first child represents its node, and is what is returned when getElNode() is called. The second child containts an array of its child elements.

  Returns:
    the subtree element

### getElNode

    public com.google.gwt.user.client.Element getElNode()

  Element for 'this' node.

  Returns:
    the underlying element for this node

### isChecked

    public boolean isChecked()

  Returns the checked status of the node. If the node was rendered with no checkbox, it returns false.

  Returns:
    true if checked

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD